%define oname   ronn-ng

Name:       ruby-%{oname}
Version:    0.10.1
Release:    %mkrel 4
Summary:    Ronn-NG: An updated fork of ronn
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/apjanke/ronn-ng
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch
Obsoletes:  ruby-ronn < 0.7.3-14
Provides:   ruby-ronn = 0.7.3-14
Provides:   ronn = %{version}-%{release}
Provides:   %{oname} = %{version}-%{release}
Requires:   groff

%description
Ronn-NG is a new, currently-maintained fork of the defunct original Ronn
project.

Ronn builds manuals. It converts simple, human readable textfiles to roff for
terminal display, and also to HTML for the web.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:  ruby-ronn-doc < 0.7.3-14

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ronn
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.10.1-4.mga10
+ Revision: 2222197
- Mageia 10 Mass Rebuild

* Sun Apr 21 2024 wally <wally> 0.10.1-3.mga10
+ Revision: 2060301
- require groff

* Mon Apr 15 2024 wally <wally> 0.10.1-2.mga10
+ Revision: 2057759
- fix ruby-ronn obsoletes

* Mon Apr 15 2024 wally <wally> 0.10.1-1.mga10
+ Revision: 2057695
- change to ronn-ng fork
- new version 0.10.1

* Sun Apr 14 2024 wally <wally> 0.7.3-13.mga10
+ Revision: 2057602
- provide ronn

* Fri Mar 25 2022 umeabot <umeabot> 0.7.3-12.mga9
+ Revision: 1826097
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.3-11.mga8
+ Revision: 1499916
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.3-10.mga7
+ Revision: 1275203
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.7.3-9.mga6
+ Revision: 935926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-8.mga5
+ Revision: 748977
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-7.mga5
+ Revision: 688935
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.7.3-6.mga4
+ Revision: 562442
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.7.3-5.mga4
+ Revision: 538116
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 pterjan <pterjan> 0.7.3-4.mga4
+ Revision: 488540
- Use gem_setup
- Update file list

* Fri Feb 08 2013 umeabot <umeabot> 0.7.3-3.mga3
+ Revision: 396391
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 381355
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.7.3-1.mga3
+ Revision: 312054
- update file list
- update file list
- imported package ruby-ronn

